diff --git a/compiler/typecheck/TcPat.lhs b/compiler/typecheck/TcPat.lhs
index ae7ef73..04977c2 100644
--- a/compiler/typecheck/TcPat.lhs
+++ b/compiler/typecheck/TcPat.lhs
@@ -812,66 +806,66 @@ Suppose (coi, tys) = matchExpectedConType data_tc pat_ty
 
 \begin{code}
 tcConArgs :: DataCon -> [TcSigmaType]
-	  -> Checker (HsConPatDetails Name) (HsConPatDetails Id)
+          -> Checker (HsConPatDetails Name) (HsConPatDetails Id)
 
 tcConArgs data_con arg_tys (PrefixCon arg_pats) penv thing_inside
-  = do	{ checkTc (con_arity == no_of_args)	-- Check correct arity
-		  (arityErr "Constructor" data_con con_arity no_of_args)
-	; let pats_w_tys = zipEqual "tcConArgs" arg_pats arg_tys
-	; (arg_pats', res) <- tcMultiple tcConArg pats_w_tys
-					      penv thing_inside 
-	; return (PrefixCon arg_pats', res) }
+  = do  { checkTc (con_arity == no_of_args)     -- Check correct arity
+                  (arityErr "Constructor" data_con con_arity no_of_args)
+        ; let pats_w_tys = zipEqual "tcConArgs" arg_pats arg_tys
+        ; (arg_pats', res) <- tcMultiple tcConArg pats_w_tys
+                                              penv thing_inside 
+        ; return (PrefixCon arg_pats', res) }
   where
     con_arity  = dataConSourceArity data_con
     no_of_args = length arg_pats
 
 tcConArgs data_con arg_tys (InfixCon p1 p2) penv thing_inside
-  = do	{ checkTc (con_arity == 2)	-- Check correct arity
-	 	  (arityErr "Constructor" data_con con_arity 2)
-	; let [arg_ty1,arg_ty2] = arg_tys	-- This can't fail after the arity check
-	; ([p1',p2'], res) <- tcMultiple tcConArg [(p1,arg_ty1),(p2,arg_ty2)]
-					      penv thing_inside
-	; return (InfixCon p1' p2', res) }
+  = do  { checkTc (con_arity == 2)      -- Check correct arity
+                  (arityErr "Constructor" data_con con_arity 2)
+        ; let [arg_ty1,arg_ty2] = arg_tys       -- This can't fail after the arity check
+        ; ([p1',p2'], res) <- tcMultiple tcConArg [(p1,arg_ty1),(p2,arg_ty2)]
+                                              penv thing_inside
+        ; return (InfixCon p1' p2', res) }
   where
     con_arity  = dataConSourceArity data_con
 
 tcConArgs data_con arg_tys (RecCon (HsRecFields rpats dd)) penv thing_inside
-  = do	{ (rpats', res) <- tcMultiple tc_field rpats penv thing_inside
-	; return (RecCon (HsRecFields rpats' dd), res) }
+  = do  { (rpats', res) <- tcMultiple tc_field rpats penv thing_inside
+        ; return (RecCon (HsRecFields rpats' dd), res) }
   where
     tc_field :: Checker (HsRecField FieldLabel (LPat Name)) (HsRecField TcId (LPat TcId))
     tc_field (HsRecField field_lbl pat pun) penv thing_inside
       = do { (sel_id, pat_ty) <- wrapLocFstM find_field_ty field_lbl
-	   ; (pat', res) <- tcConArg (pat, pat_ty) penv thing_inside
-	   ; return (HsRecField sel_id pat' pun, res) }
+           ; (pat', res) <- tcConArg (pat, pat_ty) penv thing_inside
+           ; return (HsRecField sel_id pat' pun, res) }
 
     find_field_ty :: FieldLabel -> TcM (Id, TcType)
     find_field_ty field_lbl
-	= case [ty | (f,ty) <- field_tys, f == field_lbl] of
-
-		-- No matching field; chances are this field label comes from some
-		-- other record type (or maybe none).  As well as reporting an
-		-- error we still want to typecheck the pattern, principally to
-		-- make sure that all the variables it binds are put into the
-		-- environment, else the type checker crashes later:
-		--	f (R { foo = (a,b) }) = a+b
-		-- If foo isn't one of R's fields, we don't want to crash when
-		-- typechecking the "a+b".
-	   [] -> do { addErrTc (badFieldCon data_con field_lbl)
-		    ; bogus_ty <- newFlexiTyVarTy liftedTypeKind
-		    ; return (error "Bogus selector Id", bogus_ty) }
-
-		-- The normal case, when the field comes from the right constructor
-	   (pat_ty : extras) -> 
-		ASSERT( null extras )
-		do { sel_id <- tcLookupField field_lbl
-		   ; return (sel_id, pat_ty) }
+        = case [ty | (f,ty) <- field_tys, f == field_lbl] of
+
+                -- No matching field; chances are this field label comes from some
+                -- other record type (or maybe none).  As well as reporting an
+                -- error we still want to typecheck the pattern, principally to
+                -- make sure that all the variables it binds are put into the
+                -- environment, else the type checker crashes later:
+                --      f (R { foo = (a,b) }) = a+b
+                -- If foo isn't one of R's fields, we don't want to crash when
+                -- typechecking the "a+b".
+           [] -> do { addErrTc (badFieldCon data_con field_lbl)
+                    ; bogus_ty <- newFlexiTyVarTy liftedTypeKind
+                    ; return (error "Bogus selector Id", bogus_ty) }
+
+                -- The normal case, when the field comes from the right constructor
+           (pat_ty : extras) -> 
+                ASSERT( null extras )
+                do { sel_id <- tcLookupField field_lbl
+                   ; return (sel_id, pat_ty) }
 
     field_tys :: [(FieldLabel, TcType)]
     field_tys = zip (dataConFieldLabels data_con) arg_tys
-	-- Don't use zipEqual! If the constructor isn't really a record, then
-	-- dataConFieldLabels will be empty (and each field in the pattern
-	-- will generate an error below).
+        -- Don't use zipEqual! If the constructor isn't really a record, then
+        -- dataConFieldLabels will be empty (and each field in the pattern
+        -- will generate an error below).
 
 tcConArg :: Checker (LPat Name, TcSigmaType) (LPat Id)
 tcConArg (arg_pat, arg_ty) penv thing_inside
@@ -884,15 +878,15 @@ addDataConStupidTheta :: DataCon -> [TcType] -> TcM ()
 -- the constraints into the constraint set
 addDataConStupidTheta data_con inst_tys
   | null stupid_theta = return ()
-  | otherwise	      = instStupidTheta origin inst_theta
+  | otherwise         = instStupidTheta origin inst_theta
   where
     origin = OccurrenceOf (dataConName data_con)
-	-- The origin should always report "occurrence of C"
-	-- even when C occurs in a pattern
+        -- The origin should always report "occurrence of C"
+        -- even when C occurs in a pattern
     stupid_theta = dataConStupidTheta data_con
     tenv = mkTopTvSubst (dataConUnivTyVars data_con `zip` inst_tys)
-    	 -- NB: inst_tys can be longer than the univ tyvars
-	 --     because the constructor might have existentials
+         -- NB: inst_tys can be longer than the univ tyvars
+         --     because the constructor might have existentials
     inst_theta = substTheta tenv stupid_theta
 \end{code}
 
@@ -921,24 +915,24 @@ plan for ordinary vanilla patterns to bypass the constraint
 simplification step.
 
 %************************************************************************
-%*									*
-		Note [Pattern coercions]
-%*									*
+%*                                                                      *
+                Note [Pattern coercions]
+%*                                                                      *
 %************************************************************************
 
 In principle, these program would be reasonable:
-	
-	f :: (forall a. a->a) -> Int
-	f (x :: Int->Int) = x 3
+        
+        f :: (forall a. a->a) -> Int
+        f (x :: Int->Int) = x 3
 
-	g :: (forall a. [a]) -> Bool
-	g [] = True
+        g :: (forall a. [a]) -> Bool
+        g [] = True
 
 In both cases, the function type signature restricts what arguments can be passed
 in a call (to polymorphic ones).  The pattern type signature then instantiates this
 type.  For example, in the first case,  (forall a. a->a) <= Int -> Int, and we
 generate the translated term
-	f = \x' :: (forall a. a->a).  let x = x' Int in x 3
+        f = \x' :: (forall a. a->a).  let x = x' Int in x 3
 
 From a type-system point of view, this is perfectly fine, but it's *very* seldom useful.
 And it requires a significant amount of code to implement, because we need to decorate
@@ -953,20 +947,20 @@ A SigPat is a type coercion and must be handled one at at time.  We can't
 combine them unless the type of the pattern inside is identical, and we don't
 bother to check for that.  For example:
 
-	data T = T1 Int | T2 Bool
-	f :: (forall a. a -> a) -> T -> t
-	f (g::Int->Int)   (T1 i) = T1 (g i)
-	f (g::Bool->Bool) (T2 b) = T2 (g b)
+        data T = T1 Int | T2 Bool
+        f :: (forall a. a -> a) -> T -> t
+        f (g::Int->Int)   (T1 i) = T1 (g i)
+        f (g::Bool->Bool) (T2 b) = T2 (g b)
 
 We desugar this as follows:
 
-	f = \ g::(forall a. a->a) t::T ->
-	    let gi = g Int
-	    in case t of { T1 i -> T1 (gi i)
-			   other ->
-	    let	gb = g Bool
-	    in case t of { T2 b -> T2 (gb b)
-			   other -> fail }}
+        f = \ g::(forall a. a->a) t::T ->
+            let gi = g Int
+            in case t of { T1 i -> T1 (gi i)
+                           other ->
+            let gb = g Bool
+            in case t of { T2 b -> T2 (gb b)
+                           other -> fail }}
 
 Note that we do not treat the first column of patterns as a
 column of variables, because the coerced variables (gi, gb)
@@ -975,16 +969,16 @@ But I don't think this is a common case, and if it was we could
 doubtless improve it.
 
 Meanwhile, the strategy is:
-	* treat each SigPat coercion (always non-identity coercions)
-		as a separate block
-	* deal with the stuff inside, and then wrap a binding round
-		the result to bind the new variable (gi, gb, etc)
+        * treat each SigPat coercion (always non-identity coercions)
+                as a separate block
+        * deal with the stuff inside, and then wrap a binding round
+                the result to bind the new variable (gi, gb, etc)
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Errors and contexts}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -993,17 +987,17 @@ maybeWrapPatCtxt :: Pat Name -> (TcM a -> TcM b) -> TcM a -> TcM b
 maybeWrapPatCtxt pat tcm thing_inside 
   | not (worth_wrapping pat) = tcm thing_inside
   | otherwise                = addErrCtxt msg $ tcm $ popErrCtxt thing_inside
-    			       -- Remember to pop before doing thing_inside
+                               -- Remember to pop before doing thing_inside
   where
    worth_wrapping (VarPat {}) = False
    worth_wrapping (ParPat {}) = False
    worth_wrapping (AsPat {})  = False
-   worth_wrapping _  	      = True
+   worth_wrapping _           = True
    msg = hang (ptext (sLit "In the pattern:")) 2 (ppr pat)
 
 -----------------------------------------------
 checkExistentials :: [TyVar] -> PatEnv -> TcM ()
-	  -- See Note [Arrows and patterns]
+          -- See Note [Arrows and patterns]
 checkExistentials [] _                                 = return ()
 checkExistentials _ (PE { pe_ctxt = LetPat {}})        = failWithTc existentialLetPat
 checkExistentials _ (PE { pe_ctxt = LamPat ProcExpr }) = failWithTc existentialProcPat
@@ -1022,13 +1016,13 @@ existentialProcPat
 existentialLetPat :: SDoc
 existentialLetPat
   = vcat [text "My brain just exploded",
-	  text "I can't handle pattern bindings for existential or GADT data constructors.",
-	  text "Instead, use a case-expression, or do-notation, to unpack the constructor."]
+          text "I can't handle pattern bindings for existential or GADT data constructors.",
+          text "Instead, use a case-expression, or do-notation, to unpack the constructor."]
 
 badFieldCon :: DataCon -> Name -> SDoc
 badFieldCon con field
   = hsep [ptext (sLit "Constructor") <+> quotes (ppr con),
-	  ptext (sLit "does not have field"), quotes (ppr field)]
+          ptext (sLit "does not have field"), quotes (ppr field)]
 
 polyPatSig :: TcType -> SDoc
 polyPatSig sig_ty
diff --git a/compiler/typecheck/TcRules.lhs b/compiler/typecheck/TcRules.lhs
index c9899f7..57e2092 100644
--- a/compiler/typecheck/TcRules.lhs
+++ b/compiler/typecheck/TcRules.lhs
@@ -6,12 +6,6 @@
 TcRules: Typechecking transformation rules
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module TcRules ( tcRules ) where
 
@@ -62,32 +56,32 @@ amount of simplification, so simplifyRuleLhs just sets the flag
 appropriately.
 
 Example.  Consider the following left-hand side of a rule
-	f (x == y) (y > z) = ...
+        f (x == y) (y > z) = ...
 If we typecheck this expression we get constraints
-	d1 :: Ord a, d2 :: Eq a
+        d1 :: Ord a, d2 :: Eq a
 We do NOT want to "simplify" to the LHS
-	forall x::a, y::a, z::a, d1::Ord a.
-	  f ((==) (eqFromOrd d1) x y) ((>) d1 y z) = ...
-Instead we want	
-	forall x::a, y::a, z::a, d1::Ord a, d2::Eq a.
-	  f ((==) d2 x y) ((>) d1 y z) = ...
+        forall x::a, y::a, z::a, d1::Ord a.
+          f ((==) (eqFromOrd d1) x y) ((>) d1 y z) = ...
+Instead we want 
+        forall x::a, y::a, z::a, d1::Ord a, d2::Eq a.
+          f ((==) d2 x y) ((>) d1 y z) = ...
 
 Here is another example:
-	fromIntegral :: (Integral a, Num b) => a -> b
-	{-# RULES "foo"  fromIntegral = id :: Int -> Int #-}
+        fromIntegral :: (Integral a, Num b) => a -> b
+        {-# RULES "foo"  fromIntegral = id :: Int -> Int #-}
 In the rule, a=b=Int, and Num Int is a superclass of Integral Int. But
 we *dont* want to get
-	forall dIntegralInt.
-	   fromIntegral Int Int dIntegralInt (scsel dIntegralInt) = id Int
+        forall dIntegralInt.
+           fromIntegral Int Int dIntegralInt (scsel dIntegralInt) = id Int
 because the scsel will mess up RULE matching.  Instead we want
-	forall dIntegralInt, dNumInt.
-	  fromIntegral Int Int dIntegralInt dNumInt = id Int
+        forall dIntegralInt, dNumInt.
+          fromIntegral Int Int dIntegralInt dNumInt = id Int
 
 Even if we have 
-	g (x == y) (y == z) = ..
+        g (x == y) (y == z) = ..
 where the two dictionaries are *identical*, we do NOT WANT
-	forall x::a, y::a, z::a, d1::Eq a
-	  f ((==) d1 x y) ((>) d1 y z) = ...
+        forall x::a, y::a, z::a, d1::Eq a
+          f ((==) d1 x y) ((>) d1 y z) = ...
 because that will only match if the dict args are (visibly) equal.
 Instead we want to quantify over the dictionaries separately.
 
@@ -96,7 +90,7 @@ all dicts unchanged, with absolutely no sharing.
 
 Also note that we can't solve the LHS constraints in isolation:
 Example   foo :: Ord a => a -> a
-	  foo_spec :: Int -> Int
+          foo_spec :: Int -> Int
           {-# RULE "foo"  foo = foo_spec #-}
 Here, it's the RHS that fixes the type variable
 
@@ -131,10 +125,10 @@ tcRules decls = mapM (wrapLocM tcRule) decls
 
 tcRule :: RuleDecl Name -> TcM (RuleDecl TcId)
 tcRule (HsRule name act hs_bndrs lhs fv_lhs rhs fv_rhs)
-  = addErrCtxt (ruleCtxt name)	$
+  = addErrCtxt (ruleCtxt name)  $
     do { traceTc "---- Rule ------" (ppr name)
 
-    	-- Note [Typechecking rules]
+        -- Note [Typechecking rules]
        ; vars <- tcRuleBndrs hs_bndrs
        ; let (id_bndrs, tv_bndrs) = partition isId vars
        ; (lhs', lhs_wanted, rhs', rhs_wanted, rule_ty)
@@ -146,17 +140,17 @@ tcRule (HsRule name act hs_bndrs lhs fv_lhs rhs fv_rhs)
 
        ; (lhs_evs, other_lhs_wanted) <- simplifyRule name lhs_wanted rhs_wanted
 
-	-- Now figure out what to quantify over
-	-- c.f. TcSimplify.simplifyInfer
-	-- We quantify over any tyvars free in *either* the rule
-	--  *or* the bound variables.  The latter is important.  Consider
-	--	ss (x,(y,z)) = (x,z)
-	--	RULE:  forall v. fst (ss v) = fst v
-	-- The type of the rhs of the rule is just a, but v::(a,(b,c))
-	--
-	-- We also need to get the completely-uconstrained tyvars of
-	-- the LHS, lest they otherwise get defaulted to Any; but we do that
-	-- during zonking (see TcHsSyn.zonkRule)
+        -- Now figure out what to quantify over
+        -- c.f. TcSimplify.simplifyInfer
+        -- We quantify over any tyvars free in *either* the rule
+        --  *or* the bound variables.  The latter is important.  Consider
+        --      ss (x,(y,z)) = (x,z)
+        --      RULE:  forall v. fst (ss v) = fst v
+        -- The type of the rhs of the rule is just a, but v::(a,(b,c))
+        --
+        -- We also need to get the completely-uconstrained tyvars of
+        -- the LHS, lest they otherwise get defaulted to Any; but we do that
+        -- during zonking (see TcHsSyn.zonkRule)
 
        ; let tpl_ids    = lhs_evs ++ id_bndrs
              forall_tvs = tyVarsOfTypes (rule_ty : map idType tpl_ids)
@@ -198,23 +192,23 @@ tcRule (HsRule name act hs_bndrs lhs fv_lhs rhs fv_rhs)
                                   , ic_env    = lcl_env } 
 
        ; return (HsRule name act
-		    (map (RuleBndr . noLoc) (qtkvs ++ tpl_ids))
-		    (mkHsDictLet (TcEvBinds lhs_binds_var) lhs') fv_lhs
-		    (mkHsDictLet (TcEvBinds rhs_binds_var) rhs') fv_rhs) }
+                    (map (RuleBndr . noLoc) (qtkvs ++ tpl_ids))
+                    (mkHsDictLet (TcEvBinds lhs_binds_var) lhs') fv_lhs
+                    (mkHsDictLet (TcEvBinds rhs_binds_var) rhs') fv_rhs) }
 
 tcRuleBndrs :: [RuleBndr Name] -> TcM [Var]
 tcRuleBndrs [] 
   = return []
 tcRuleBndrs (RuleBndr (L _ name) : rule_bndrs)
-  = do 	{ ty <- newFlexiTyVarTy openTypeKind
+  = do  { ty <- newFlexiTyVarTy openTypeKind
         ; vars <- tcRuleBndrs rule_bndrs
-	; return (mkLocalId name ty : vars) }
+        ; return (mkLocalId name ty : vars) }
 tcRuleBndrs (RuleBndrSig (L _ name) rn_ty : rule_bndrs)
---  e.g 	x :: a->a
+--  e.g         x :: a->a
 --  The tyvar 'a' is brought into scope first, just as if you'd written
---		a::*, x :: a->a
-  = do	{ let ctxt = RuleSigCtxt name
-	; (id_ty, tv_prs) <- tcHsPatSigType ctxt rn_ty
+--              a::*, x :: a->a
+  = do  { let ctxt = RuleSigCtxt name
+        ; (id_ty, tv_prs) <- tcHsPatSigType ctxt rn_ty
         ; let id  = mkLocalId name id_ty
               tvs = map snd tv_prs   
                     -- tcHsPatSigType returns (Name,TyVar) pairs
@@ -222,12 +216,12 @@ tcRuleBndrs (RuleBndrSig (L _ name) rn_ty : rule_bndrs)
                     -- cloned, so we get (n, tv-with-name-n) pairs
                     -- See Note [Pattern signature binders] in TcHsType
 
-	      -- The type variables scope over subsequent bindings; yuk
+              -- The type variables scope over subsequent bindings; yuk
         ; vars <- tcExtendTyVarEnv tvs $ 
                   tcRuleBndrs rule_bndrs 
-	; return (tvs ++ id : vars) }
+        ; return (tvs ++ id : vars) }
 
 ruleCtxt :: FastString -> SDoc
 ruleCtxt name = ptext (sLit "When checking the transformation rule") <+> 
-		doubleQuotes (ftext name)
+                doubleQuotes (ftext name)
 \end{code}
diff --git a/compiler/typecheck/TcSMonad.lhs b/compiler/typecheck/TcSMonad.lhs
index f8c5e04..c98d77f 100644
--- a/compiler/typecheck/TcSMonad.lhs
+++ b/compiler/typecheck/TcSMonad.lhs
@@ -1,10 +1,5 @@
 \begin{code}
-{-# OPTIONS -fno-warn-tabs -w #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
+{-# OPTIONS -w #-}
 
 -- Type definitions for the constraint solver
 module TcSMonad ( 
@@ -152,12 +147,12 @@ import Digraph
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 %*                            Worklists                                *
 %*  Canonical and non-canonical constraints that the simplifier has to  *
 %*  work on. Including their simplification depths.                     *
 %*                                                                      *
-%*									*
+%*                                                                      *
 %************************************************************************
 
 Note [WorkList priorities]
@@ -451,10 +446,10 @@ filterSolved p (PredMap mp) = PredMap (foldTM upd mp emptyTM)
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 %*                            Inert Sets                                *
 %*                                                                      *
-%*									*
+%*                                                                      *
 %************************************************************************
 
 Note [Detailed InertCans Invariants]
@@ -570,7 +565,7 @@ data InertCans
 data InertSet
   = IS { inert_cans :: InertCans
               -- Canonical Given, Wanted, Derived (no Solved)
-	      -- Sometimes called "the inert set"
+              -- Sometimes called "the inert set"
 
        , inert_flat_cache :: FamHeadMap (CtEvidence, TcType)
               -- See Note [Type family equations]
@@ -592,13 +587,13 @@ data InertSet
               -- Not necessarily fully rewritten (by type substitutions)
 
        , inert_solved_dicts   :: PredMap CtEvidence 
-       	      -- Of form ev :: C t1 .. tn
+              -- Of form ev :: C t1 .. tn
               -- Always the result of using a top-level instance declaration
               -- See Note [Solved constraints]
-       	      -- - Used to avoid creating a new EvVar when we have a new goal 
-       	      --   that we have solved in the past
-       	      -- - Stored not necessarily as fully rewritten 
-       	      --   (ToDo: rewrite lazily when we lookup)
+              -- - Used to avoid creating a new EvVar when we have a new goal 
+              --   that we have solved in the past
+              -- - Stored not necessarily as fully rewritten 
+              --   (ToDo: rewrite lazily when we lookup)
        }
 
 
@@ -787,8 +782,8 @@ We don't try to turn any *other* Wanteds into Givens:
 There might be cases where interactions between wanteds can help
 to solve a constraint. For example
 
-  	class C a b | a -> b
-  	(C Int alpha), (forall d. C d blah => C Int a)
+        class C a b | a -> b
+        (C Int alpha), (forall d. C d blah => C Int a)
 
 If we push the (C Int alpha) inwards, as a given, it can produce a
 fundep (alpha~a) and this can float out again and be used to fix
@@ -925,15 +920,15 @@ lookupInInertCans (IS { inert_cans = ics }) pty
       EqPred ty1 _ty2 
          | Just tv <- getTyVar_maybe ty1      -- Tyvar equation
          , Just ct <- lookupVarEnv (inert_eqs ics) tv
-      	 , let ctev = ctEvidence ct
-      	 , ctEvPred ctev `eqType` pty
-      	 -> Just ctev
+         , let ctev = ctEvidence ct
+         , ctEvPred ctev `eqType` pty
+         -> Just ctev
 
-      	 | Just _ <- splitTyConApp_maybe ty1  -- Family equation
-      	 , Just ct <- lookupTM ty1 (unFamHeadMap $ inert_funeqs ics)
-      	 , let ctev = ctEvidence ct
-      	 , ctEvPred ctev `eqType` pty
-      	 -> Just ctev
+         | Just _ <- splitTyConApp_maybe ty1  -- Family equation
+         , Just ct <- lookupTM ty1 (unFamHeadMap $ inert_funeqs ics)
+         , let ctev = ctEvidence ct
+         , ctEvPred ctev `eqType` pty
+         -> Just ctev
 
       IrredPred {} -> findEvidence (\ct -> ctEvPred ct `eqType` pty) (inert_irreds ics)
     
@@ -944,9 +939,9 @@ lookupInInertCans (IS { inert_cans = ics }) pty
 
 
 %************************************************************************
-%*									*
-%*		The TcS solver monad                                    *
-%*									*
+%*                                                                      *
+%*              The TcS solver monad                                    *
+%*                                                                      *
 %************************************************************************
 
 Note [The TcS monad]
@@ -1041,7 +1036,7 @@ traceFireTcS ct doc
        ; let msg = int n <> brackets (int (ctLocDepth (cc_loc ct))) <+> doc
        ; TcM.dumpTcRn msg }
 
-runTcS :: TcS a		       -- What to run
+runTcS :: TcS a                -- What to run
        -> TcM (a, Bag EvBind)
 runTcS tcs
   = do { ev_binds_var <- TcM.newTcEvBinds
@@ -1059,15 +1054,15 @@ runTcSWithEvBinds ev_binds_var tcs
 
        ; let env = TcSEnv { tcs_ev_binds = ev_binds_var
                           , tcs_ty_binds = ty_binds_var
-			  , tcs_count    = step_count
+                          , tcs_count    = step_count
                           , tcs_inerts   = inert_var
                           , tcs_worklist    = panic "runTcS: worklist"
                           , tcs_implics     = panic "runTcS: implics" }
                                -- NB: Both these are initialised by withWorkList
 
-	     -- Run the computation
+             -- Run the computation
        ; res <- unTcS tcs env
-	     -- Perform the type unifications required
+             -- Perform the type unifications required
        ; ty_binds <- TcM.readTcRef ty_binds_var
        ; mapM_ do_unification (varEnvElts ty_binds)
 
@@ -1229,7 +1224,7 @@ emitInsoluble ct
       | otherwise     = is { inert_cans = ics { inert_insols = extendCts old_insols ct } }
       where
         already_there = not (isWantedCt ct) && anyBag (eqType this_pred . ctPred) old_insols
-	     -- See Note [Do not add duplicate derived insolubles]
+             -- See Note [Do not add duplicate derived insolubles]
 
 getTcSImplicsRef :: TcS (IORef (Bag Implication))
 getTcSImplicsRef = TcS (return . tcs_implics) 
@@ -1725,7 +1720,7 @@ deferTcSForAllEq (loc,orig_ev) (tvs1,body1) (tvs2,body2)
                                ; env <- wrapTcS $ TcM.getLclEnv
                                ; let ev_binds = TcEvBinds ev_binds_var
                                      new_ct = mkNonCanonical loc ctev
-              			     new_co = evTermCoercion (ctEvTerm ctev)
+                                     new_co = evTermCoercion (ctEvTerm ctev)
                                      new_untch = pushUntouchables (tcl_untch env)
                                ; let wc = WC { wc_flat  = singleCt new_ct 
                                              , wc_impl  = emptyBag
